Create a price point
curl --request POST \
--url https://billing.funnelfox.com/{org_id}/v1/pp/create \
--header 'Content-Type: application/json' \
--header 'ff-secret-key: <api-key>' \
--data '
{
"ident": "<string>",
"currency_code": "<string>",
"features": [
"<string>"
],
"lifetime_price": 123,
"intro_free_trial_period": 1,
"intro_paid_trial_price": 123,
"intro_paid_trial_period": 1,
"next_price": 123,
"next_period": 1,
"descriptor": "<string>"
}
'import requests
url = "https://billing.funnelfox.com/{org_id}/v1/pp/create"
payload = {
"ident": "<string>",
"currency_code": "<string>",
"features": ["<string>"],
"lifetime_price": 123,
"intro_free_trial_period": 1,
"intro_paid_trial_price": 123,
"intro_paid_trial_period": 1,
"next_price": 123,
"next_period": 1,
"descriptor": "<string>"
}
headers = {
"ff-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'ff-secret-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ident: '<string>',
currency_code: '<string>',
features: ['<string>'],
lifetime_price: 123,
intro_free_trial_period: 1,
intro_paid_trial_price: 123,
intro_paid_trial_period: 1,
next_price: 123,
next_period: 1,
descriptor: '<string>'
})
};
fetch('https://billing.funnelfox.com/{org_id}/v1/pp/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}PricePoints
Create a price point
Add a new Price Point (pricing plan) to your offerings.
POST
/
pp
/
create
Create a price point
Authorizations
Secret key for FunnelFox Billing API. Required for all requests.
Path Parameters
Organization ID
Body
application/json
Unique identifier for this price point
Maximum string length:
256Pattern:
^[-A-Za-z_0-9]{1,256}$Available options:
no_intro, free_trial, paid_trial Feature list (array of strings or CSV string)
Required range:
x > 0Available options:
minutes, days, weeks, months, years Required range:
x > 0Available options:
minutes, days, weeks, months, years Required range:
x > 0Available options:
minutes, days, weeks, months, years Maximum string length:
22Pattern:
^[-A-Za-z_0-9_ .]{1,22}$Response
200 - application/json
The response is of type Ok200 · object.
Was this page helpful?
⌘I
